iThemes Security Pro v1.15.1 WordPres Plugin

iThemes Security Pro v1.15.1 WordPres Plugin
Version 1.15.1
Compatible with
Support WordPress 4.2, WordPress 4.1, WordPress 4.0, WordPress 3.9, WordPress 3.8, WordPress 3.7
Designers iThemes
Added 08-06-2015

iThemes Security shows you a list of things to do to make your site more secure with a simple way to turn options on or off. We’ve simplified these steps and provided descriptions of each action so you know exactly what’s happening on your site. You shouldn’t have to be a security pro to use a security plugin. And isn’t that the point?
Security Pro v1.15.1
1.15.1 – 2015-06-04 – Chris Jean
Bug Fix: Fixed bad release that had some outdated files.

View Demo Downloads